package com.palmnest.application.dto.output;

import com.palmnest.application.dto.output.lingling.VisitorPassRecordVo;

import java.io.Serializable;
import java.util.List;

/**
 * @Author 黄笑天
 * @Description 访客详情VO
 * @Date 2019/3/21 17:38
 **/
public class VisitorInfoVO implements Serializable{

    private static final long serialVersionUID = 1990897677320325664L;

    private String visitorName; // 访客姓名
    private String visitorCompany;	// 来访人公司
    private String visitorTelephone; // 来访人手机号码
    private String visitCode; // 访客码
    private String visitTime; // 来访时间
    private String interviewee; // 受访人
    private String visitReason; // 到访目的
    private String visitFloor;	// 访问楼层
    private String visitToCompany; // 到访公司
    private String visitorImage; // 访客照片
    private String idenNumber; // 身份证号码
    private String cardId; // 身份证卡号
    private String birthday; // 生日
    private String idenActiveTo; // 身份证有效结束时间
    private String idenActiveFrom; // 身份证有效开始时间
    private String createTime; // 创建时间
    private String police; // 签发机关
    private String headImgName; // 身份证头像
    private String race; // 民族
    private String censusAddr; // 户籍地址
    private Integer visitorId;
    private String leaveTime;
    private String nodeStr;

    private List<VisitorPassRecordVo> passList;

    public List<VisitorPassRecordVo> getPassList() {
        return passList;
    }

    public void setPassList(List<VisitorPassRecordVo> passList) {
        this.passList = passList;
    }

    public String getVisitorName() {
        return visitorName;
    }

    public void setVisitorName(String visitorName) {
        this.visitorName = visitorName;
    }

    public String getVisitorCompany() {
        return visitorCompany;
    }

    public void setVisitorCompany(String visitorCompany) {
        this.visitorCompany = visitorCompany;
    }

    public String getVisitorTelephone() {
        return visitorTelephone;
    }

    public void setVisitorTelephone(String visitorTelephone) {
        this.visitorTelephone = visitorTelephone;
    }

    public String getVisitCode() {
        return visitCode;
    }

    public void setVisitCode(String visitCode) {
        this.visitCode = visitCode;
    }

    public String getVisitTime() {
        return visitTime;
    }

    public void setVisitTime(String visitTime) {
        this.visitTime = visitTime;
    }

    public String getInterviewee() {
        return interviewee;
    }

    public void setInterviewee(String interviewee) {
        this.interviewee = interviewee;
    }

    public String getVisitReason() {
        return visitReason;
    }

    public void setVisitReason(String visitReason) {
        this.visitReason = visitReason;
    }

    public String getVisitFloor() {
        return visitFloor;
    }

    public void setVisitFloor(String visitFloor) {
        this.visitFloor = visitFloor;
    }

    public String getVisitToCompany() {
        return visitToCompany;
    }

    public void setVisitToCompany(String visitToCompany) {
        this.visitToCompany = visitToCompany;
    }

    public String getVisitorImage() {
        return visitorImage;
    }

    public void setVisitorImage(String visitorImage) {
        this.visitorImage = visitorImage;
    }

    public String getIdenNumber() {
        return idenNumber;
    }

    public void setIdenNumber(String idenNumber) {
        this.idenNumber = idenNumber;
    }

    public String getCardId() {
        return cardId;
    }

    public void setCardId(String cardId) {
        this.cardId = cardId;
    }

    public String getBirthday() {
        return birthday;
    }

    public void setBirthday(String birthday) {
        this.birthday = birthday;
    }

    public String getIdenActiveTo() {
        return idenActiveTo;
    }

    public void setIdenActiveTo(String idenActiveTo) {
        this.idenActiveTo = idenActiveTo;
    }

    public String getIdenActiveFrom() {
        return idenActiveFrom;
    }

    public void setIdenActiveFrom(String idenActiveFrom) {
        this.idenActiveFrom = idenActiveFrom;
    }

    public String getCreateTime() {
        return createTime;
    }

    public void setCreateTime(String createTime) {
        this.createTime = createTime;
    }

    public String getPolice() {
        return police;
    }

    public void setPolice(String police) {
        this.police = police;
    }

    public String getHeadImgName() {
        return headImgName;
    }

    public void setHeadImgName(String headImgName) {
        this.headImgName = headImgName;
    }

    public String getRace() {
        return race;
    }

    public void setRace(String race) {
        this.race = race;
    }

    public String getCensusAddr() {
        return censusAddr;
    }

    public void setCensusAddr(String censusAddr) {
        this.censusAddr = censusAddr;
    }

	public Integer getVisitorId() {
		return visitorId;
	}

	public void setVisitorId(Integer visitorId) {
		this.visitorId = visitorId;
	}

	public String getLeaveTime() {
		return leaveTime;
	}

	public void setLeaveTime(String leaveTime) {
		this.leaveTime = leaveTime;
	}

	public String getNodeStr() {
		return nodeStr;
	}

	public void setNodeStr(String nodeStr) {
		this.nodeStr = nodeStr;
	}  
	
    
}
